Index: trunk/src/world_entities/weapons/acid_launcher.cc
===================================================================
--- trunk/src/world_entities/weapons/acid_launcher.cc	(revision 10418)
+++ trunk/src/world_entities/weapons/acid_launcher.cc	(revision 10419)
@@ -102,6 +102,6 @@
 
   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
-  this->setActionSound(WA_ACTIVATE, "sounds/vocals/rockets.wav");
-  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+  this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 
 }
Index: trunk/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- trunk/src/world_entities/weapons/aiming_turret.cc	(revision 10418)
+++ trunk/src/world_entities/weapons/aiming_turret.cc	(revision 10419)
@@ -100,5 +100,5 @@
   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_3.wav");
   this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
-  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
+  this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 
 }
Index: trunk/src/world_entities/weapons/boomerang_gun.cc
===================================================================
--- trunk/src/world_entities/weapons/boomerang_gun.cc	(revision 10418)
+++ trunk/src/world_entities/weapons/boomerang_gun.cc	(revision 10419)
@@ -95,6 +95,6 @@
 
   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_3.wav");
-  this->setActionSound(WA_ACTIVATE, "sounds/vocals/rockets.wav");
-  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+  this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 
 }
Index: trunk/src/world_entities/weapons/spike_launcher.cc
===================================================================
--- trunk/src/world_entities/weapons/spike_launcher.cc	(revision 10418)
+++ trunk/src/world_entities/weapons/spike_launcher.cc	(revision 10419)
@@ -111,6 +111,6 @@
 
 //   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
-//   this->setActionSound(WA_ACTIVATE, "sounds/vocals/rockets.wav");
-//   this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
+//   this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+//   this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 
 }
Index: trunk/src/world_entities/weapons/spike_thrower.cc
===================================================================
--- trunk/src/world_entities/weapons/spike_thrower.cc	(revision 10418)
+++ trunk/src/world_entities/weapons/spike_thrower.cc	(revision 10419)
@@ -105,6 +105,6 @@
 
   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
-  this->setActionSound(WA_ACTIVATE, "sounds/vocals/rockets.wav");
-  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+  this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 
 }
Index: trunk/src/world_entities/weapons/swarm_launcher.cc
===================================================================
--- trunk/src/world_entities/weapons/swarm_launcher.cc	(revision 10418)
+++ trunk/src/world_entities/weapons/swarm_launcher.cc	(revision 10419)
@@ -103,6 +103,6 @@
 
   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
-  this->setActionSound(WA_ACTIVATE, "sounds/vocals/rockets.wav");
-  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+  this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 
 }
Index: trunk/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- trunk/src/world_entities/weapons/targeting_turret.cc	(revision 10418)
+++ trunk/src/world_entities/weapons/targeting_turret.cc	(revision 10419)
@@ -94,5 +94,5 @@
   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_3.wav");
   this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
-  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
+  this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 }
 
Index: trunk/src/world_entities/weapons/turret.cc
===================================================================
--- trunk/src/world_entities/weapons/turret.cc	(revision 10418)
+++ trunk/src/world_entities/weapons/turret.cc	(revision 10419)
@@ -94,6 +94,6 @@
 
   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_3.wav");
-  this->setActionSound(WA_ACTIVATE, "sounds/vocals/rockets.wav");
-  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+  this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 
 }