Index: branches/blink/src/world_entities/effects/billboard.cc
===================================================================
--- branches/blink/src/world_entities/effects/billboard.cc	(revision 10407)
+++ branches/blink/src/world_entities/effects/billboard.cc	(revision 10425)
@@ -152,5 +152,7 @@
   {
     //glColor4ub((int)(this->texColor->r() * 255), (int)(this->texColor->g() * 255), (int)(this->texColor->b() * 255), (int)(this->texColor->a() * 255));
-    glColor4ub(255, 0, 0, 255);
+    glColor4ub((GLubyte)this->texColor->r()*255, (GLubyte)this->texColor->g()*255, (GLubyte)this->texColor->b()*255, 255);
+    PRINTF(0)("\n\n\n\n::%f,%f,%f\n\n\n\n", this->texColor->r()*255, this->texColor->g()*255, this->texColor->b()*255);
+
   }
 
Index: branches/blink/src/world_entities/effects/blink.cc
===================================================================
--- branches/blink/src/world_entities/effects/blink.cc	(revision 10407)
+++ branches/blink/src/world_entities/effects/blink.cc	(revision 10425)
@@ -1,4 +1,3 @@
 /*
-   orxonox - the future of 3D-vertical-scrollers
 
    Copyright (C) 2006 orx
@@ -50,6 +49,6 @@
 Blink::~Blink ()
 {
-  if (this->material)
-    delete this->material;
+//  if (this->material)
+  //  delete this->material;
 }
 
@@ -65,5 +64,5 @@
   this->toList(OM_COMMON);
 
-  this->material = new Material();
+  //this->material = new Material();
   //this->material->setIllum(0);
   //this->material->setDiffuse(1.0,1.0,1.0);
@@ -73,5 +72,5 @@
   //this->material->setBlendFunc(GL_ZERO,GL_ZERO);
   //this->material->setDiffuseMap("pictures/rblink2.png");
-  this->material->setDiffuseMap("maps/star_alpha.png");
+  //this->material->setDiffuseMap("maps/star_alpha.png");
   //this->setAbsCoor(0, 0, 0);d
   //this->setVisibiliy(true);
@@ -90,5 +89,5 @@
   this->setAbsCoor(0, 0, 0); 
   this->position = Vector(0, 0, 0); ///remove
-  this->color = Vector(255, 255, 255);
+  this->color = Color(1, 1, 0);
   this->size = 10;
   this->omega = 10;
@@ -151,9 +150,9 @@
 void Blink::draw() const
 {
-  glPushAttrib(GL_ENABLE_BIT);
-  glEnable(GL_LIGHTING); //glDisable(GL_LIGHTING);
-  glDisable(GL_FOG);
-  glMatrixMode(GL_MODELVIEW);
-  glPushMatrix();
+//   glPushAttrib(GL_ENABLE_BIT);
+//   glEnable(GL_LIGHTING); //glDisable(GL_LIGHTING);
+//   glDisable(GL_FOG);
+//   glMatrixMode(GL_MODELVIEW);
+//   glPushMatrix();
 
 //   Vector pos = this->getAbsCoor();
@@ -179,5 +178,5 @@
 //   glShadeModel(GL_SMOOTH);
 
-
+/*
   Vector camCoor = State::getCameraNode()->getAbsCoor();
   Vector diff = camCoor - this->position;
@@ -186,5 +185,5 @@
   //glTranslatef(position.x + size/2, position.y + size/2, position.z);
 
-  glTranslatef(this->position.x - this->size/2, this->position.y - this->size/2, this->position.z);
+  glTranslatef(this->position.x - this->size/2, this->position.y - this->size/2, this->position.z);*/
 
 //   Vector view = this->getAbsCoor() - State::getCameraNode()->getAbsCoor();
@@ -194,15 +193,7 @@
 //   Vector h = view.cross(up);
 
-  this->material->select();
-
-  this->bBoard->colorTexture(Color(1, 0, 0, 0));
-  //glColor4ub(this->color.x, this->color.y, this->color.z, 127.5*(this->blinkStr + 1));
-//   glBegin(GL_QUADS);
-//     glTexCoord2f(1, 1); glVertex3f(0, 0, 0);
-//     glTexCoord2f(1, 0); glVertex3f(this->size, 0, 0);
-//     glTexCoord2f(0, 0); glVertex3f(this->size, this->size, 0);
-//     glTexCoord2f(0, 1); glVertex3f(0, this->size, 0);
-//   glEnd();
-
+  //this->material->select();
+  PRINTF(0)("\n\n\n\n::%f,%f,%f\n\n\n\n", color.r(), color.g(), color.b());
+  this->bBoard->colorTexture(Color(color.r(), color.g(), color.b(), 1));
 
   glPopMatrix();
Index: branches/blink/src/world_entities/effects/blink.h
===================================================================
--- branches/blink/src/world_entities/effects/blink.h	(revision 10407)
+++ branches/blink/src/world_entities/effects/blink.h	(revision 10425)
@@ -8,4 +8,5 @@
 #include "world_entity.h"
 #include "effects/billboard.h"
+#include "color.h"
 
 class Material;
@@ -26,5 +27,5 @@
     void setSize(float s) { this->size = s; this->bBoard->setSize(this->size, this->size); }
     void setOmega(float w) { this->omega = w; }
-    void setColor(float r, float g, float b) { this->color = Vector(r, g, b); }
+    void setColor(float r, float g, float b) { this->color = Color(r/255, g/255, b/255); }
     //void setTexture(const std::string& textureFile);
 
@@ -33,8 +34,8 @@
 
   private:
-    Material*         material;
+    //Material*         material;
     Billboard*        bBoard;
     Vector            position;
-    Vector            color;
+    Color             color;
     float             angle;
     float             omega;