Index: branches/blink/src/world_entities/effects/blink.cc
===================================================================
--- branches/blink/src/world_entities/effects/blink.cc	(revision 10426)
+++ branches/blink/src/world_entities/effects/blink.cc	(revision 10427)
@@ -64,20 +64,4 @@
   this->toList(OM_COMMON);
 
-  //this->material = new Material();
-  //this->material->setIllum(0);
-  //this->material->setDiffuse(1.0,1.0,1.0);
-  //this->material->setTransparency(0.0);
- // this->material->setSpecular(0.0,0.0,0.0);
- // this->material->setAmbient(1.0, 1.0, 1.0);
-  //this->material->setBlendFunc(GL_ZERO,GL_ZERO);
-  //this->material->setDiffuseMap("pictures/rblink2.png");
-  //this->material->setDiffuseMap("maps/star_alpha.png");
-  //this->setAbsCoor(0, 0, 0);d
-  //this->setVisibiliy(true);
-  // this->setSize(5, 5);
-
-  //srand((unsigned)time(NULL));
-
-
   this->bBoard = new Billboard;
   this->bBoard->setVisibiliy(true);
@@ -111,20 +95,4 @@
   LoadParam(root, "color", this, Blink, setColor);
   LoadParam(root, "omega", this, Blink, setOmega);
-//   LoadParam(root, "watersize", this, Blink, setWaterSize);
-//   LoadParam(root, "wateruv", this, Blink, setWaterUV);
-//   LoadParam(root, "waterflow", this, Blink, setWaterFlow);
-//   LoadParam(root, "lightpos", this, Blink, setLightPos);
-//   LoadParam(root, "waterangle", this, Blink, setWaterAngle);
-//   LoadParam(root, "normalmapscale", this, Blink, setNormalMapScale);
-//   LoadParam(root, "shinesize", this, Blink, setShineSize);
-//   LoadParam(root, "shinestrength", this, Blink, setShineStrength);
-//   LoadParam(root, "reflstrength", this, Blink, setReflStrength);
-//   LoadParam(root, "refraction", this, Blink, setRefraction);
-//   LoadParam(root, "watercolor", this, Blink, setWaterColor);
-  /*LoadParam(root, "texture", this->material, Material, setDiffuseMap)
-      .describe("the texture-file to load onto the Blink");
-
-  LoadParam(root, "size", this, Blink, setSize)
-  .describe("the size of the Blink in Pixels");*/
 }
 
@@ -142,4 +110,6 @@
 
   this->blinkStr = sinf(angle);
+
+  this->bBoard->colorTexture(Color(color.r(), color.g(), color.b(), 1));
 }
 
@@ -150,52 +120,4 @@
 void Blink::draw() const
 {
-//   glPushAttrib(GL_ENABLE_BIT);
-//   glEnable(GL_LIGHTING); //glDisable(GL_LIGHTING);
-//   glDisable(GL_FOG);
-//   glMatrixMode(GL_MODELVIEW);
-//   glPushMatrix();
 
-//   Vector pos = this->getAbsCoor();
-//   Vector dir = pos - State::getCameraNode()->getAbsCoor();
-//   dir.normalize();
-// 
-//   Vector up = Vector(0, 1, 0);
-//   Vector h = dir.cross(up);
-// 
-//   Vector pos = this->getAbsCoor();
-//   glTranslatef(pos.x, pos.y, pos.z);
-
-    /* translate */
-//     glTranslatef (this->getAbsCoor ().x,
-//                   this->getAbsCoor ().y,
-//                   this->getAbsCoor ().z);
-//     Vector tmpRot = this->getAbsDir().getSpacialAxis();
-//     glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
-
-//   glBlendFunc(GL_SRC_ALPHA,GL_ONE); // Set The Blending Function For Translucency
-//   glEnable(GL_BLEND);
-//   glHint(GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST);
-//   glShadeModel(GL_SMOOTH);
-
-/*
-  Vector camCoor = State::getCameraNode()->getAbsCoor();
-  Vector diff = camCoor - this->position;
-
-
-  //glTranslatef(position.x + size/2, position.y + size/2, position.z);
-
-  glTranslatef(this->position.x - this->size/2, this->position.y - this->size/2, this->position.z);*/
-
-//   Vector view = this->getAbsCoor() - State::getCameraNode()->getAbsCoor();
-//   view.normalize();
-// 
-//   Vector up = Vector(0, 1, 0);
-//   Vector h = view.cross(up);
-
-  //this->material->select();
-//   PRINTF(0)("\n\n\n\n::%f,%f,%f\n\n\n\n", color.r(), color.g(), color.b());
-  this->bBoard->colorTexture(Color(color.r(), color.g(), color.b(), 1));
-
-  glPopMatrix();
-  glPopAttrib();
 }
Index: branches/blink/src/world_entities/effects/blink.h
===================================================================
--- branches/blink/src/world_entities/effects/blink.h	(revision 10426)
+++ branches/blink/src/world_entities/effects/blink.h	(revision 10427)
@@ -28,5 +28,4 @@
     void setOmega(float w) { this->omega = w; }
     void setColor(float r, float g, float b) { this->color = Color(r/255, g/255, b/255); }
-    //void setTexture(const std::string& textureFile);
 
     virtual void tick(float dt);
@@ -34,5 +33,4 @@
 
   private:
-    //Material*         material;
     Billboard*        bBoard;
     Vector            position;