Index: code/branches/ParticleEffectsFS15/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/ParticleEffectsFS15/data/levels/emptyLevel.oxw	(revision 10430)
+++ code/branches/ParticleEffectsFS15/data/levels/emptyLevel.oxw	(revision 10433)
@@ -32,4 +32,12 @@
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
     
+    
+    
+    <SpaceShip position="0,500,500" lookat="0,0,0" team=1 >
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+    </SpaceShip>
+    
   </Scene>
 </Level>
Index: code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionAfterglow.particle
===================================================================
--- code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionAfterglow.particle	(revision 10433)
+++ code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionAfterglow.particle	(revision 10433)
@@ -0,0 +1,47 @@
+
+particle_system orxonox/explosion_afterglow
+{
+	quota	200
+	material	PE/Flare
+	particle_width	40
+	particle_height	40
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_self
+
+	emitter Point
+	{
+		angle	180
+		colour	0.664063 0.917969 0.925781 1
+		colour_range_start	0.664063 0.917969 0.925781 1
+		colour_range_end	0.0820313 0.757813 0.980469 1
+		direction	0 1 0
+		emission_rate	700
+		position	0 0 0
+		velocity	20
+		velocity_min	20
+		velocity_max	75
+		time_to_live	0.2
+		time_to_live_min	0.2
+		time_to_live_max	5
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector ColourFader
+	{
+		red	-0.7273
+		green	-0.7049
+		blue	-0.6216
+		alpha	0
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+}
Index: code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionFlame2.particle
===================================================================
--- code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionFlame2.particle	(revision 10433)
+++ code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionFlame2.particle	(revision 10433)
@@ -0,0 +1,58 @@
+
+particle_system orxonox/explosion_flame2
+{
+	quota	500
+	material	PE/bigFlame
+	particle_width	20.52
+	particle_height	20.25
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Box
+	{
+		angle	180
+		colour	1 0.566667 0.5 1
+		colour_range_start	1 0.566667 0.5 1
+		colour_range_end	1 0.566667 0.5 1
+		direction	1 0 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	30
+		velocity_min	30
+		velocity_max	80
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	3
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+		width	2
+		height	2
+		depth	2
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+
+	affector ColourFader
+	{
+		red	-1
+		green	-1
+		blue	-0.7027
+		alpha	-1
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start	-360
+		rotation_speed_range_end	360
+		rotation_range_start	0
+		rotation_range_end	360
+	}
+}
Index: code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionFlash2.particle
===================================================================
--- code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionFlash2.particle	(revision 10433)
+++ code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionFlash2.particle	(revision 10433)
@@ -0,0 +1,47 @@
+
+particle_system orxonox/explosion_flash2
+{
+	quota	50
+	material	orxonox/explosion_flash
+	particle_width	50
+	particle_height	50
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Point
+	{
+		angle	180
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	0 0 0
+		emission_rate	10
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	0
+		time_to_live	0.05
+		time_to_live_min	0.05
+		time_to_live_max	0.05
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start	0
+		rotation_speed_range_end	0
+		rotation_range_start	0
+		rotation_range_end	360
+	}
+
+	affector Scaler
+	{
+		rate	100
+	}
+}
Index: code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionShockwave2.particle
===================================================================
--- code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionShockwave2.particle	(revision 10433)
+++ code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionShockwave2.particle	(revision 10433)
@@ -0,0 +1,48 @@
+
+particle_system orxonox/explosion_shockwave2
+{
+	quota	4000
+	material	orxonox/explosion_shockwave
+	particle_width	20
+	particle_height	20
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_common
+	common_direction	0 0.25 0.5
+
+	emitter Point
+	{
+		angle	0
+		colour	0.85 0.85 1 1
+		colour_range_start	0.85 0.85 1 1
+		colour_range_end	0.85 0.85 1 1
+		direction	0 1 0
+		emission_rate	10
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	0
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	1
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector Scaler
+	{
+		rate	500
+	}
+
+	affector ColourFader
+	{
+		red	-1
+		green	-1
+		blue	-1
+		alpha	0
+	}
+}
Index: code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionSparks2.particle
===================================================================
--- code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionSparks2.particle	(revision 10433)
+++ code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionSparks2.particle	(revision 10433)
@@ -0,0 +1,42 @@
+
+particle_system orxonox/explosion_sparks2
+{
+	quota	2000
+	material	PE/explosion
+	particle_width	1.5
+	particle_height	13.98
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_self
+
+	emitter Point
+	{
+		angle	180
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	-0.684313 -0.325257 0.652628
+		emission_rate	1000
+		position	0 0 0
+		velocity	150
+		velocity_min	150
+		velocity_max	200
+		time_to_live	0.2
+		time_to_live_min	0.2
+		time_to_live_max	0.75
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector ColourFader
+	{
+		red	0.2432
+		green	-1
+		blue	-1
+		alpha	-1
+	}
+}
Index: code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionStreak2.particle
===================================================================
--- code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionStreak2.particle	(revision 10433)
+++ code/branches/ParticleEffectsFS15/data/particle/orxonox_explosionStreak2.particle	(revision 10433)
@@ -0,0 +1,47 @@
+
+particle_system orxonox/explosion_streak2
+{
+	quota	4000
+	material	orxonox/explosion_streak1
+	particle_width	14
+	particle_height	75
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_self
+
+	emitter Point
+	{
+		angle	180
+		colour	0.466667 0.341667 0.216667 1
+		colour_range_start	0.466667 0.341667 0.216667 1
+		colour_range_end	0.466667 0.341667 0.216667 1
+		direction	0 1 0
+		emission_rate	400
+		position	0 0 0
+		velocity	50
+		velocity_min	50
+		velocity_max	80
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	2
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector ColourFader
+	{
+		red	-0.3
+		green	-0.25
+		blue	-0.2
+		alpha	0
+	}
+
+	affector Scaler
+	{
+		rate	10
+	}
+}
Index: code/branches/ParticleEffectsFS15/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/ParticleEffectsFS15/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10430)
+++ code/branches/ParticleEffectsFS15/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10433)
@@ -367,5 +367,5 @@
             if (GameMode::isMaster())
             {
-//                this->deathEffect();
+                this->deatheffect();
                 this->goWithStyle();
             }
@@ -387,5 +387,5 @@
     {
         // play death effect
-        {
+        /*{
             ParticleSpawner* effect = new ParticleSpawner(this->getContext());
             effect->setPosition(this->getPosition());
@@ -410,5 +410,58 @@
             effect->setSource("Orxonox/sparks");
             effect->setLifetime(4.0f);
-        }
+        }*/
+        
+        
+        {
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
+            effect->setPosition(this->getPosition());
+            effect->setOrientation(this->getOrientation());
+            effect->setDestroyAfterLife(true);
+            effect->setSource("orxonox/explosion_flash2");
+            effect->setLifetime(5.0f);
+        }
+        {
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
+            effect->setPosition(this->getPosition());
+            effect->setOrientation(this->getOrientation());
+            effect->setDestroyAfterLife(true);
+            effect->setSource("orxonox/explosion_flame2");
+            effect->setLifetime(5.0f);
+        }
+        {
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
+            effect->setPosition(this->getPosition());
+            effect->setOrientation(this->getOrientation());
+            effect->setDestroyAfterLife(true);
+            effect->setSource("orxonox/explosion_shockwave2");
+            effect->scale(20);
+            effect->setLifetime(5.0f);
+        }{
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
+            effect->setPosition(this->getPosition());
+            effect->setOrientation(this->getOrientation());
+            effect->setDestroyAfterLife(true);
+            effect->setSource("orxonox/explosion_sparks2");
+            effect->setLifetime(5.0f);
+        }
+        {
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
+            effect->setPosition(this->getPosition());
+            effect->setOrientation(this->getOrientation());
+            effect->setDestroyAfterLife(true);
+            effect->setSource("orxonox/explosion_streak2");
+            effect->setLifetime(5.0f);
+        }
+        {
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
+            effect->setPosition(this->getPosition());
+            effect->setOrientation(this->getOrientation());
+            effect->setDestroyAfterLife(true);
+            effect->setSource("orxonox/explosion_afterglow");
+            effect->scale(20);
+            effect->setLifetime(5.0f);
+        }
+        
+        
         for (unsigned int i = 0; i < this->numexplosionchunks_; ++i)
         {