Index: code/trunk/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- code/trunk/src/orxonox/worldentities/ControllableEntity.h	(revision 10288)
+++ code/trunk/src/orxonox/worldentities/ControllableEntity.h	(revision 10437)
@@ -39,4 +39,11 @@
 namespace orxonox
 {
+    /**
+    @brief
+        The ControllableEntity is derived from the @ref orxonox::MobileEntity. ControllableEntities can be controlled by @ref orxonox::Controller Controllers.
+        A Controller will call (based on user input, AI decision, ...) for example the function @see moveFrontBack or the function @see rotateYaw to
+        move the ControllableEntity through space. A Controller could also call the @see boost function to tell the ControllableEntity that he wants it to boost.
+    */
+
     class _OrxonoxExport ControllableEntity : public MobileEntity
     {
Index: code/trunk/src/orxonox/worldentities/MobileEntity.h
===================================================================
--- code/trunk/src/orxonox/worldentities/MobileEntity.h	(revision 10288)
+++ code/trunk/src/orxonox/worldentities/MobileEntity.h	(revision 10437)
@@ -38,4 +38,15 @@
 namespace orxonox
 {
+    /**
+    @brief
+        The MobileEntity is a derived class from @ref orxonox::WorldEntity and @ref orxonox::Tickable. It is supposed to be the base class of 
+        @ref orxonox::MovableEntity and @ref orxonox::ControllableEntity. You will never need to instanciate a MobileEntity directly.
+        Use only its derivatives.
+        In addition to the functionalities of the @ref orxonox::WorldEntity this class has a linear and angular velocity and a linear and angular acceleration.
+        Every time the @see tick function is called the linear acceleration is multiplied by the time since the last call of tick and then added to the
+        linear velocity. Then the linear velocity is multiplied by the time since the last call of tick and then added to the position. The same happens with
+        the angular acceleration and velocity. With this procedure MobileEntities can change their position and orientation with time.
+    */
+
     class _OrxonoxExport MobileEntity : public WorldEntity, public Tickable
     {
Index: code/trunk/src/orxonox/worldentities/StaticEntity.h
===================================================================
--- code/trunk/src/orxonox/worldentities/StaticEntity.h	(revision 10288)
+++ code/trunk/src/orxonox/worldentities/StaticEntity.h	(revision 10437)
@@ -36,4 +36,14 @@
 namespace orxonox
 {
+    /**
+    @brief
+        The StaticEntity is the simplest derivative of the @ref orxonox::WorldEntity class. This means all StaticEntity instances also have
+        a position in space, a mass, a scale, a frication, ... because every StaticEntity is a WorldEntity. You can attach StaticEntities to eachother ike @ref orxonox::WorldEntity WorldEntities.
+
+        In contrast to the MobileEntity the StaticEntity cannot move with respect to the parent to which it is attached. That's why
+        it is called StaticEntity. It will keep the same position (always with respect to its parent) forever unless you call the
+        function @see setPosition to changee it.
+    */
+
     class _OrxonoxExport StaticEntity : public WorldEntity
     {
Index: code/trunk/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/Pawn.h	(revision 10288)
+++ code/trunk/src/orxonox/worldentities/pawns/Pawn.h	(revision 10437)
@@ -39,5 +39,17 @@
 
 namespace orxonox // tolua_export
-{ // tolua_export
+{
+    /**
+    @brief
+        Everything in Orxonoy that has a health attribute is a Pawn. After a Pawn is spawned its health is set to
+        its initial health. In every call of the Pawns tick function the game checks whether the pawns health is at
+        or below zero. If it is, the pawn gets killed.
+
+        Pawns can carry pickups and fire weapons. The can also have shields.
+
+        Notice that every Pawn is a ControllableEntity.
+    */
+
+    // tolua_export
     class _OrxonoxExport Pawn // tolua_export
         : public ControllableEntity, public RadarViewable, public PickupCarrier
Index: code/trunk/src/orxonox/worldentities/pawns/SpaceShip.h
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 10288)
+++ code/trunk/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 10437)
@@ -47,4 +47,5 @@
     @brief
         The SpaceShip is the principal entity through which the player interacts with the game. Its main function is to fly, however many things, such as @ref orxonox::Engine Engines or @ref orxonox::Weapon Weapons, can be attached to it.
+        The feature that you can add @ref orxonox::Engine Engines is new in this class. However adding @ref orxonox::Weapon Weapons is possible because every Spaceship is a Pawn (due to inheritance) and every Pawn can carry @ref orxonox::Weapon Weapons.
 
         There are several parameters that define the behavior of the SpaceShip>