Index: /trunk/src/util/hud.cc
===================================================================
--- /trunk/src/util/hud.cc	(revision 10448)
+++ /trunk/src/util/hud.cc	(revision 10449)
@@ -129,4 +129,5 @@
     //dynamic_cast<OrxGui::GLGuiEnergyWidgetVertical*> (this->energyWidget)->setStandardSettings();
     this->energyWidget->setParent2D(this->leftRect);
+    dynamic_cast<OrxGui::GLGuiEnergyWidgetVertical*> (this->energyWidget)->setDisplayedImage("textures/gui/gui_electronics_icon.png");
     this->energyWidget->show();
     /*    this->energyWidget->frontMaterial().setDiffuseMap("hud_energy_bar.png");
@@ -157,4 +158,5 @@
     //dynamic_cast<OrxGui::GLGuiEnergyWidgetVertical*> (this->shieldWidget)->setStandardSettings();
     this->shieldWidget->setParent2D(this->leftRect);
+    dynamic_cast<OrxGui::GLGuiEnergyWidgetVertical*> (this->shieldWidget)->setDisplayedImage("textures/gui/gui_shield_icon.png");
     this->shieldWidget->show();
     /*    this->shieldWidget->frontMaterial().setDiffuseMap("hud_energy_bar.png");
@@ -187,4 +189,5 @@
     //dynamic_cast<OrxGui::GLGuiEnergyWidgetVertical*> (this->armorWidget)->setStandardSettings();
     this->armorWidget->setParent2D(this->leftRect);
+    dynamic_cast<OrxGui::GLGuiEnergyWidgetVertical*> (this->armorWidget)->setDisplayedImage("textures/gui/gui_health_icon.png");
     this->armorWidget->show();
     /*    this->armorWidget->frontMaterial().setDiffuseMap("hud_energy_bar.png");
Index: /trunk/src/util/track/track.cc
===================================================================
--- /trunk/src/util/track/track.cc	(revision 10448)
+++ /trunk/src/util/track/track.cc	(revision 10449)
@@ -93,5 +93,4 @@
            LoadParam_CYCLE(element, "mode", this, Track, setMode)
              .describe("Sets mode of track behavior");
-
      }
      LOAD_PARAM_END_CYCLE(element);
Index: /trunk/src/world_entities/camera.cc
===================================================================
--- /trunk/src/world_entities/camera.cc	(revision 10448)
+++ /trunk/src/world_entities/camera.cc	(revision 10449)
@@ -231,5 +231,5 @@
 void Camera::draw() const
 {
-  if( this->entityTrack != NULL)
+  if( this->entityTrack != NULL && this->isDrawTrack())
     this->entityTrack->drawGraph();
 }
Index: /trunk/src/world_entities/npcs/npc.cc
===================================================================
--- /trunk/src/world_entities/npcs/npc.cc	(revision 10448)
+++ /trunk/src/world_entities/npcs/npc.cc	(revision 10449)
@@ -271,6 +271,7 @@
 void NPC::draw() const
 {
+ if( this->entityTrack != NULL && this->isDrawTrack())
+  this->entityTrack->drawGraph();
+
  WorldEntity::draw();
-  if( this->entityTrack != NULL)
-    this->entityTrack->drawGraph();
-}
+}
Index: /trunk/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /trunk/src/world_entities/space_ships/space_ship.cc	(revision 10448)
+++ /trunk/src/world_entities/space_ships/space_ship.cc	(revision 10449)
@@ -490,5 +490,5 @@
 void SpaceShip::draw () const
 {
-  if( this->entityTrack != NULL)
+  if( this->entityTrack != NULL && this->isDrawTrack())
     this->entityTrack->drawGraph();
 
Index: /trunk/src/world_entities/world_entity.cc
===================================================================
--- /trunk/src/world_entities/world_entity.cc	(revision 10448)
+++ /trunk/src/world_entities/world_entity.cc	(revision 10449)
@@ -94,4 +94,5 @@
   // Track of this entity
   this->entityTrack = NULL;
+  this->bDrawTrack = false;
 
   // registering default reactions:
@@ -168,4 +169,6 @@
   LoadParam(root, "list", this, WorldEntity, toListS);
 
+  LoadParam(root, "drawTrack", this, WorldEntity, drawDebugTrack)
+      .describe("draws the track for debugging purposes");
 
   // Track
Index: /trunk/src/world_entities/world_entity.h
===================================================================
--- /trunk/src/world_entities/world_entity.h	(revision 10448)
+++ /trunk/src/world_entities/world_entity.h	(revision 10449)
@@ -185,4 +185,7 @@
     //  CharacterAttributes*    charAttr;         //!< the character attributes of a world_entity
 
+  inline void drawDebugTrack(int flag) { this->bDrawTrack = (bool)flag; }
+  inline bool isDrawTrack() const { return this->bDrawTrack; }
+
 
 private:
@@ -240,4 +243,5 @@
   Vector                  velocity;                        //!< speed of the entity
   Track*                  entityTrack;                     //!< this is the track this entity follows (or NULL if none)
+  bool                    bDrawTrack;                      //!< if true draws the debug track
 
 };