Index: code/branches/weaponFS15/src/modules/weapons/weaponmodes/GravityBombFire.cc
===================================================================
--- code/branches/weaponFS15/src/modules/weapons/weaponmodes/GravityBombFire.cc	(revision 10438)
+++ code/branches/weaponFS15/src/modules/weapons/weaponmodes/GravityBombFire.cc	(revision 10455)
@@ -3,5 +3,5 @@
  *
  *  Created on: Apr 16, 2015
- *      Author: meggiman
+ *      Author: Manuel Eggimann
  */
 #include "GravityBombFire.h"
@@ -19,5 +19,5 @@
 	RegisterClass(GravityBombFire);
 
-	const float GravityBombFire::BOMB_VELOCITY = 400.0;
+	const float GravityBombFire::BOMB_VELOCITY = 400.0; ///< The velocity of the bomb after launch
 
 	GravityBombFire::GravityBombFire(Context* context) : WeaponMode(context)
@@ -25,11 +25,10 @@
 		RegisterObject(GravityBombFire);
 
-		this->reloadTime_ = 0.50f;
+		this->reloadTime_ = 0.50f; 
 		this->bParallelReload_ = false;
-		this->damage_ = 0.0f;
-		this->speed_ = BOMB_VELOCITY;
+		this->damage_ = 20.0f;  ///< The damage of the Bomb if it hits a pawn.
 
 		this->setMunitionName("GravityBombMunition");
-		this->setDefaultSoundWithVolume("sounds/Rocket_launch.ogg",0.8);
+		this->setDefaultSoundWithVolume("sounds/Rocket_launch.ogg",0.8);	///< sets sound of the bomb as it is fired.
 	}
 
@@ -39,9 +38,11 @@
 	{
 		GravityBomb* bomb = new GravityBomb(this->getContext());
-        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+        //Create a new Bomb in 3D-Space and set the right direction speed and orientation.
+		this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
         bomb->setOrientation(this->getMuzzleOrientation());
         bomb->setPosition(this->getMuzzlePosition());
-        bomb->setVelocity(this->getMuzzleDirection() * (this->speed_+this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity().length()));
+        bomb->setVelocity(this->getMuzzleDirection() * (this->BOMB_VELOCITY+this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity().length()));
 
+		//Set the shooter of the bomb so it is possible to determine the pawn that killed another one and define damage to shield and healt the bomb does.
         bomb->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
 		bomb->setDamage(this->getDamage());
Index: code/branches/weaponFS15/src/modules/weapons/weaponmodes/GravityBombFire.h
===================================================================
--- code/branches/weaponFS15/src/modules/weapons/weaponmodes/GravityBombFire.h	(revision 10438)
+++ code/branches/weaponFS15/src/modules/weapons/weaponmodes/GravityBombFire.h	(revision 10455)
@@ -1,29 +1,8 @@
-/**
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Oliver Scheuss
- *   Co-authors:
- *      ...
- *
- */
+/*
+* GravityBombFire.h
+*
+*  Created on: Apr 16, 2015
+*      Author: Manuel Eggimann
+*/
 
 /**
@@ -42,9 +21,10 @@
 
     /**
-    @brief
-        Fires the GravityBomb
-    @author
-        Manuel Eggimann
-    @ingroup WeaponsWeaponModes
+    *@brief
+    *   Fires the GravityBomb. This class implements everything needed to fire the BasicProjectile GravityBomb.
+    *   Everything that has to do with the bombs behaviour after launching it is implemented in GravityBomb and GravityBombField.
+    *@author
+    *    Manuel Eggimann
+    *@ingroup WeaponsWeaponModes
     */
     class _WeaponsExport GravityBombFire : public WeaponMode
@@ -57,6 +37,5 @@
 
         private:
-            float speed_; //!< The initial speed of the bomb when it is launched.
-            static const float BOMB_VELOCITY;
+            static const float BOMB_VELOCITY; //!< The initial speed of the bomb when it is launched.
     };
 }