Index: /code/branches/core7/src/libraries/core/singleton/CMakeLists.txt
===================================================================
--- /code/branches/core7/src/libraries/core/singleton/CMakeLists.txt	(revision 10460)
+++ /code/branches/core7/src/libraries/core/singleton/CMakeLists.txt	(revision 10461)
@@ -1,4 +1,4 @@
 ADD_SOURCE_FILES(CORE_SRC_FILES
-  Scope.cc
+  ScopeManager.cc
   ScopedSingletonIncludes.cc
 )
Index: de/branches/core7/src/libraries/core/singleton/Scope.cc
===================================================================
--- /code/branches/core7/src/libraries/core/singleton/Scope.cc	(revision 10460)
+++ 	(revision )
@@ -1,48 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file
-    @brief Static linkage of the two maps in orxonox::ScopeManager.
-*/
-
-#include "Scope.h"
-
-namespace orxonox
-{
-    /*static*/ std::map<ScopeID::Value, int>& ScopeManager::getInstanceCounts()
-    {
-        static std::map<ScopeID::Value, int> instanceCounts;
-        return instanceCounts;
-    }
-    /*static*/ std::map<ScopeID::Value, std::set<ScopeListener*> >& ScopeManager::getListeners()
-    {
-        static std::map<ScopeID::Value, std::set<ScopeListener*> > listeners;
-        return listeners;
-    }
-}
Index: /code/branches/core7/src/libraries/core/singleton/Scope.h
===================================================================
--- /code/branches/core7/src/libraries/core/singleton/Scope.h	(revision 10460)
+++ /code/branches/core7/src/libraries/core/singleton/Scope.h	(revision 10461)
@@ -30,6 +30,5 @@
 @file
 @ingroup SingletonScope
-@brief Declaration of the classes that are needed to use Scopes:
-orxonox::Scope, orxonox::ScopeListener, and orxonox::ScopeManager.
+@brief Declaration of the classes that are needed to use Scopes: orxonox::Scope and orxonox::ScopeListener.
 
 @anchor Scope
@@ -38,6 +37,6 @@
 an its template argument defines the name of the virtual scope. See orxonox::ScopeID for an enumeration of the
 available values for @a scope. The orxonox::Scope object for a given @a scope can be activated or deactivated.
-Instances of orxonox::ScopeListener can register for a given @a scope and will get a notification if the
-corresponding orxonox::Scope object changes its state.
+Instances of orxonox::ScopeListener can register in orxonox::ScopeMAnager for a given @a scope and will get a
+notification if the corresponding orxonox::Scope object changes its state.
 
 To avoid multiple instances of orxonox::Scope<@a scope> in different libraries, each instance of orxonox::Scope
@@ -60,27 +59,8 @@
 
 #include "util/Output.h"
+#include "ScopeManager.h"
 
 namespace orxonox
 {
-    /**
-        @brief The ScopeManager stores the variables of the Scope templates in a statically linked context.
-
-        If all Scope objects are managed by this class, they are statically linked in the core library.
-        Without this, a new instance of Scope<T> for each T would be created in every library of Orxonox,
-        which is of course not the desired behavior.
-
-        @see See @ref Scope "this description" for details about the interrelationship of Scope, ScopeListener, and ScopeManager.
-    */
-    class _CoreExport ScopeManager
-    {
-        template <ScopeID::Value scope>
-        friend class Scope;
-        friend class StaticallyInitializedScopedSingletonWrapper;
-
-        private:
-            static std::map<ScopeID::Value, int>& getInstanceCounts();                  //!< Counts the number of active instances (>0 means active) for a scope
-            static std::map<ScopeID::Value, std::set<ScopeListener*> >& getListeners(); //!< Stores all listeners for a scope
-    };
-
     /**
         @brief ScopeListeners register themselves in the corresponding Scope and wait for notifications.
Index: /code/branches/core7/src/libraries/core/singleton/ScopeManager.cc
===================================================================
--- /code/branches/core7/src/libraries/core/singleton/ScopeManager.cc	(revision 10461)
+++ /code/branches/core7/src/libraries/core/singleton/ScopeManager.cc	(revision 10461)
@@ -0,0 +1,48 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Static linkage of the two maps in orxonox::ScopeManager.
+*/
+
+#include "Scope.h"
+
+namespace orxonox
+{
+    /*static*/ std::map<ScopeID::Value, int>& ScopeManager::getInstanceCounts()
+    {
+        static std::map<ScopeID::Value, int> instanceCounts;
+        return instanceCounts;
+    }
+    /*static*/ std::map<ScopeID::Value, std::set<ScopeListener*> >& ScopeManager::getListeners()
+    {
+        static std::map<ScopeID::Value, std::set<ScopeListener*> > listeners;
+        return listeners;
+    }
+}
Index: /code/branches/core7/src/libraries/core/singleton/ScopeManager.h
===================================================================
--- /code/branches/core7/src/libraries/core/singleton/ScopeManager.h	(revision 10461)
+++ /code/branches/core7/src/libraries/core/singleton/ScopeManager.h	(revision 10461)
@@ -0,0 +1,66 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+@file
+@ingroup SingletonScope
+@brief Declaration of orxonox::ScopeManager.
+*/
+
+#ifndef __ScopeManager_H__
+#define __ScopeManager_H__
+
+#include "core/CorePrereqs.h"
+
+#include <map>
+#include <set>
+
+namespace orxonox
+{
+    /**
+        @brief The ScopeManager stores the variables of the Scope templates in a statically linked context.
+
+        If all Scope objects are managed by this class, they are statically linked in the core library.
+        Without this, a new instance of Scope<T> for each T would be created in every library of Orxonox,
+        which is of course not the desired behavior.
+
+        @see See @ref Scope "this description" for details about the interrelationship of Scope, ScopeListener, and ScopeManager.
+    */
+    class _CoreExport ScopeManager
+    {
+        template <ScopeID::Value scope>
+        friend class Scope;
+        friend class StaticallyInitializedScopedSingletonWrapper;
+
+        private:
+            static std::map<ScopeID::Value, int>& getInstanceCounts();                  //!< Counts the number of active instances (>0 means active) for a scope
+            static std::map<ScopeID::Value, std::set<ScopeListener*> >& getListeners(); //!< Stores all listeners for a scope
+    };
+}
+
+#endif /* __ScopeManager_H__ */